#pragma once

#include "CoreMinimal.h"
#include "PlayerCardAnimationViewInterface.h"
#include "CoreBaseUserWidget.h"
#include "CorePlayerCardAnimationWidget.generated.h"

class UDBDImage;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCorePlayerCardAnimationWidget : public UCoreBaseUserWidget, public IPlayerCardAnimationViewInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export)
	TArray<UDBDImage*> _animatedImages;

protected:
	UFUNCTION(BlueprintCallable)
	void SetMaterialAnimated(bool isAnimated);

public:
	UCorePlayerCardAnimationWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCorePlayerCardAnimationWidget) { return 0; }
